#ifndef T_CLIENT_H_
#define T_CLIENT_H_

/*
Dfinit le type client et fonctions associes:
- Afficher des clients
- Saisir des clients


Auteur: Anis Boubaker
Date: 2018-11-21
*/

#include <stdio.h>
#include <string.h>

#define TAILLE_MAX_STR 255

//Dfinition du type client
typedef struct {
	char nom[TAILLE_MAX_STR];
	char prenom[TAILLE_MAX_STR];
	char adresse[TAILLE_MAX_STR];
	char ville[TAILLE_MAX_STR];
	char code_postal[TAILLE_MAX_STR];
	char pays[TAILLE_MAX_STR];
} t_client;


/*
SAISIR_CLIENT
Fonction qui demande  l'utilisateur de saisir un client. Le client saisi
est stock dans la variable t_client dont on reoit une rfrence.

Paramtres:
- client (t_cliente*): Adresse (pointeur) du client o sera stocke la saisie

Retour: Aucun
*/
void saisir_client(t_client *client);


/*
AFFICHER_CLIENT
Affiche le nom, prnom et ville du client pass en paramtre dans la console.

Paramtre: 
client (t_client): Le client  afficher.

Retour: Aucun
*/
/*
NDE1: Notez ici que le client est pass par copie. L'intgralit de la structure est copie
lors du passage du paramtre. Ceci n'est pas idal car il faut copier toutes les chaines de 
caractres, mais vous est laiss ici aux fins d'illustration. Une meilleure approche est 
de passer une constante rfrence vers la structure (voir afficher_client2)
NDE2: Bien que la structure contienne des tableaux, le passage par  copie fonctionne car les
tableaux dont dfinis de manire statique dans la structure.
*/
void afficher_client(t_client client);

/*
AFFICHER_CLIENT2
Affiche le nom, prnom et ville du client pass en paramtre dans la console.
Cette variante de la fonction prcdente illustre le passage d'une structure par rfrence, plutt 
que par copie. Ceci est fait pour optimiser les performances (il n'est pas ncessair de copier toutes 
les donnes).

Paramtre:
client (t_client): Le client  afficher.

Retour: Aucun
*/
void afficher_client2(const t_client *client);

#endif