#ifndef T_DATE_H_
#define T_DATE_H_

/*
Dfinit le type date et fonctions associes: 
- Comparaison entre deux dates
- Saisir des dates


Auteur: Anis Boubaker
Date: 2018-11-21
*/

#include <stdio.h>

//Dfinition du type date
typedef struct {
	int jour;
	int mois; 
	int annee;
} t_date;

/*
SAISIR_DATE
Fonction qui demande  l'utilisateur de saisir une date. La date saisie
est stocke dans la variable t_date dont on reoit une rfrence.

Paramtres:
- la_date (t_date*): Adresse (pointeur) de la date o sera stocke la saisie

Retour: Aucun
*/
void saisir_date(t_date *la_date);

/*
COMPARER_DATES
Fonction qui compare deux dates.

Paramtres: 
- date1 (t_date): La premire date  comparer
- date2 (t_date): La seconde date  comparer

Retour: une valeur nulle si les dates sont identiques, 
		une valeur >0 si la premire date est plus loigne  
		une valeur <0 si la seconde date est plus loigne. 
*/
int comparer_dates(t_date date1, t_date date2);

#endif